## typist 1.0

=== Makefile ===
#
# Following options modified TO TASTE:
#
# Replace $(DEBUG) with following line when debugging...
#DEBUG=-g

#
# For "make save"
#
SAVEDIR=./save

# gf: Added LESSONDIR
LESSONDIR=/u/ferguson/lib/typist


#-----------------------------------------------------------------------
#
# Following options modified depending on TARGET ENVIRONMENT:
#
# following options should work on most BSD systems:
LIBS=-lcurses -ltermcap
LINTFLAGS=-achx
DEBUG=-O

# following options for all SMI (Sun Microsystems) systems:
#LIBS=-lcurses -ltermcap
#LINTFLAGS=-abchx
# Note: Sun-3 needs -O2 for kbdbind.c (SIGSEGV in iropt)
#DEBUG=-O4

# Following options for Ultrix
#LIBS=-lcursesX -ltermcap
#LINTFLAGS=
#DEBUG=-O2

# Following options for Sony NEWS
#LIBS=-lcurses -ltermcap
#LINTFLAGS=-abhvx
#DEBUG=-O

# following options for AIX
#LIBS=-lcurses
#LINTFLAGS=
#DEBUG=-O

# following options for HP-UX
#LIBS=-lcurses
#LINTFLAGS=-achx
#DEBUG=-O


SRCFILES=typist.c

# dvorak only works on Suns, by the way
TARGETS=typist dvorak

SOURCES=Makefile typist.c dvorak.c

#-----------------------------------------------------------------------
#
# Different Makes
#

all: $(TARGETS)

clean:
	rm -f *.o

clobber:
	rm -f *.o $(TARGETS)

lint:
	lint $(LINTFLAGS) *.c $(LIBS) 

save:
	if [ ! -d $(SAVEDIR) ]; then mkdir $(SAVEDIR); fi
	cp $(SOURCES) $(SAVEDIR)

shar:
	makekit -oMANIFEST -nUnix $(SOURCES)

typist: typist.c
	cc $(DEBUG) -DLESSONDIR=\"$(LESSONDIR)\" -o typist typist.c $(LIBS)

## typist 1.0-1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 SAVEDIR=./save
 
 # gf: Added LESSONDIR
-LESSONDIR=/u/ferguson/lib/typist
+LESSONDIR=/usr/share/typist
 
 
 #-----------------------------------------------------------------------
@@ -18,7 +18,12 @@
 # Following options modified depending on TARGET ENVIRONMENT:
 #
 # following options should work on most BSD systems:
-LIBS=-lcurses -ltermcap
+#LIBS=-lcurses -ltermcap
+#LINTFLAGS=-achx
+#DEBUG=-O
+
+# Following options for Linux
+LIBS=-lcurses
 LINTFLAGS=-achx
 DEBUG=-O
 
@@ -52,9 +57,10 @@
 SRCFILES=typist.c
 
 # dvorak only works on Suns, by the way
-TARGETS=typist dvorak
+# TARGETS=typist dvorak
+TARGETS=typist
 
-SOURCES=Makefile typist.c dvorak.c
+SOURCES=Makefile typist.c # dvorak.c
 
 #-----------------------------------------------------------------------
 #
@@ -66,7 +72,7 @@
 clean:
 	rm -f *.o
 
-clobber:
+distclean:
 	rm -f *.o $(TARGETS)
 
 lint:
@@ -81,3 +87,7 @@
 
 typist: typist.c
 	cc $(DEBUG) -DLESSONDIR=\"$(LESSONDIR)\" -o typist typist.c $(LIBS)
+
+install: typist
+	cp -p typist $(DESTDIR)/usr/bin/
+	cp *.typ $(DESTDIR)/usr/share/typist/

=== debian/changelog ===
typist (1.0-1) unstable; urgency=low

  * Initial Release.
  * Dedicated to Ariannah, my wife.  I know she will enjoy honing
    her typing skills with this package.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  6 Nov 1997 21:00:55 -0400

Local variables:
mode: debian-changelog
add-log-mailing-address: "synrg@sanctuary.nslug.ns.ca"
End:

=== debian/control ===
Source: typist
Section: misc
Priority: optional
Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Standards-Version: 2.3.0.0

Package: typist
Architecture: any
Depends: ${shlibs:Depends}
Description: A simple ncurses typing tutor
 Displays exercise lines, measures your typing speed and
 accuracy, and displays the results.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=typist

build:
	$(checkdir)
	
	make CFLAGS="-O2 -g -Wall"

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## typist 2.2b

=== Makefile ===
#
# Typist v2.2 - improved typing tutor program for UNIX systems
# Copyright (C) 1998  Simon Baldwin (simonb@sco.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
#
# Makefile for typist v2.2
#
# The following UNIX variants are available:
#
#   Linux: IBM PC running Linux.
#   OSR5:  IBM PC running SCO OpenServer release 5.
#   UW:    IBM PC running SCO UnixWare 7.
#

# C compiler, flags, targets and so on
# Linux values
CC          = gcc
CFLAGS      = -static -O -DLONG_OPTIONS
CURS_CFLAGS = -DNCURSES -I/usr/include/ncurses
CURS_LIBS   = -lncurses
MANCAT      = man1
T_MAN       = linux_manpages
T_INSTALL   = linux_install
T_UNINSTALL = linux_uninstall
T_DEFAULT   = Makefile typist_bin manpages install

# SCO OpenServer values
# CC          = cc
# CFLAGS      = -O
# CURS_CFLAGS =
# CURS_LIBS   = -lcurses
# MANCAT      = cat.LOCAL
# T_MAN       = nonlinux_manpages
# T_INSTALL   = nonlinux_install
# T_UNINSTALL = nonlinux_uninstall
# T_DEFAULT   = Makefile typist_bin manpages install

# SCO UnixWare 7 values
# CC          = cc
# CFLAGS      = -O
# CURS_CFLAGS =
# CURS_LIBS   = -lcurses
# MANCAT      = cat.LOCAL
# T_MAN       = nonlinux_manpages
# T_INSTALL   = nonlinux_install
# T_UNINSTALL = nonlinux_uninstall
# T_DEFAULT   = Makefile typist_bin manpages install

# C++ objects, and information for the installation
BINDIR    = /usr/local/bin
LIBDIR    = /usr/local/lib/typist
MANDIR    = /usr/local/man
OWNER     = root:root
MODE      = 755
DMODE     = 644
DATAFILES = combined.typ demo.typ \
		d.typ m.typ n.typ q.typ r.typ s.typ t.typ u.typ v.typ
DEF_FILE  = combined.typ

 
# default make target
default:	$(T_DEFAULT)

# do everything useful
all:	Makefile typist_bin manpages install demo

# rule to build the binary
typist_bin:	Makefile typist.c
	$(CC) $(CFLAGS) $(CURS_CFLAGS) -o typist_bin typist.c $(CURS_LIBS)

# build manpages in different formats
manpages:	$(T_MAN)

linux_manpages:	typist.1.ps typist.1.cat

typist.1.cat:	typist.1
	-man ./typist.1 >typist.1.cat

typist.1.ps:	typist.1
	-man -t ./typist.1 >|typist.1.ps

nonlinux_manpages:
	echo "Make for manpages not available for non-Linux platforms"

# install the shell wrapper, binary and man pages
install:	$(T_INSTALL)

linux_install:
	test -x typist_bin
	-mkdir -p $(BINDIR)
	-mkdir -p $(LIBDIR)
	-mkdir -p $(MANDIR)/$(MANCAT)
	cp typist $(BINDIR)
	chown $(OWNER) $(BINDIR)/typist
	chmod $(MODE) $(BINDIR)/typist
	cp typist_bin $(BINDIR)
	chown $(OWNER) $(BINDIR)/typist_bin
	chmod $(MODE) $(BINDIR)/typist_bin
	( cd lessons; cp $(DATAFILES) $(LIBDIR) )
	chown $(OWNER) $(LIBDIR)/*
	chmod $(DMODE) $(LIBDIR)/*
	ln -f $(LIBDIR)/$(DEF_FILE) $(LIBDIR)/typist.typ
	gzip -c typist.1 >$(MANDIR)/$(MANCAT)/typist.1.gz
	chown $(OWNER) $(MANDIR)/$(MANCAT)/typist.1.gz
	chmod $(MODE) $(MANDIR)/$(MANCAT)/typist.1.gz

nonlinux_install:
	-mkdir -p $(BINDIR)
	-mkdir -p $(LIBDIR)
	cp typist $(BINDIR)
	chown $(OWNER) $(BINDIR)/typist
	chmod $(MODE) $(BINDIR)/typist
	cp typist_bin $(BINDIR)
	chown $(OWNER) $(BINDIR)/typist_bin
	chmod $(MODE) $(BINDIR)/typist_bin
	( cd lessons; cp $(DATAFILES) $(LIBDIR) )
	chown $(OWNER) $(LIBDIR)/*
	chmod $(DMODE) $(LIBDIR)/*
	ln -f $(LIBDIR)/$(DEF_FILE) $(LIBDIR)/typist.typ

# run the demonstration
demo:	install
	$(BINDIR)/typist $(LIBDIR)/demo.typ

# uninstall the binaries and man pages
uninstall:	$(T_UNINSTALL)

linux_uninstall:
	-rm $(BINDIR)/typist
	-rm $(BINDIR)/typist_bin
	-rmdir $(BINDIR)
	-rm -rf $(LIBDIR)
	-rm $(MANDIR)/$(MANCAT)/typist.1.gz
	-rmdir $(MANDIR)/$(MANCAT)
	-rmdir $(MANDIR)

nonlinux_uninstall:
	-rm $(BINDIR)/typist
	-rm $(BINDIR)/typist_bin
	-rmdir $(BINDIR)
	-rm -rf $(LIBDIR)

# clear up for a rebuild
clean:	Makefile
	rm -f *.o typist_bin typist.1.cat typist.1.ps

# completely remove
clobber:	clean uninstall
